# Base Technical User

This module extends the functionality of company management. It allows you to bind a technical user on the company in order to use it in batch processes.

The technical user must - be inactive to avoid login - be in the required groups depending of what you need to do

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

If you install the module, you will find a tab on the company form allowing to define the technical user.

In your code you can use the following helper that will return you

- a self with the user tech if configured
- or a self with sudo user

    self_tech = self.sudo_tech()

If you want to raise an error if the tech user in not configured just call it with

    self_tech = self.sudo_tech(raise_if_missing)

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ACSONE SA/NV

## Contributors

- Cédric Pigeon <cedric.pigeon@acsone.eu>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/server-tools project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.